" auto-install vim-plug
if empty(glob('~/.config/nvim/autoload/plug.vim'))
  silent !curl -fLo ~/.config/nvim/autoload/plug.vim --create-dirs
    \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
  "autocmd VimEnter * PlugInstall
  "autocmd VimEnter * PlugInstall | source $MYVIMRC
endif

call plug#begin('~/.config/nvim/autoload/plugged')

    Plug 'jnurmine/Zenburn'
    Plug 'itchyny/lightline.vim'

    "Plug 'tpope/vim-sensible'
    Plug 'tpope/vim-fugitive'
    Plug 'mhinz/vim-signify'
    Plug 'tpope/vim-surround'
    Plug 'tpope/vim-repeat'

    Plug 'junegunn/goyo.vim'
    Plug 'christoomey/vim-tmux-navigator'
    Plug 'Yggdroot/indentLine'

    " Plug 'SirVer/ultisnips'
    " Plug 'honza/vim-snippets'
    Plug 'neovim/nvim-lspconfig'
    Plug 'hrsh7th/nvim-compe'
    Plug 'hrsh7th/vim-vsnip'
    Plug 'hrsh7th/vim-vsnip-integ'
    Plug 'rafamadriz/friendly-snippets'

    " Plug 'nvim-lua/completion-nvim'

    Plug 'nvim-lua/popup.nvim'
    Plug 'nvim-lua/plenary.nvim'
    Plug 'nvim-telescope/telescope.nvim'

    Plug 'lervag/vimtex'

    " Highlight on Yank 
    Plug 'machakann/vim-highlightedyank'
    "  Autoclose parenthesis
    " Plug 'cohama/lexima.vim'
    Plug 'jiangmiao/auto-pairs'

    " Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}

call plug#end()
